Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl
Interface IMetaQtlConstants

    public interface IMetaQtlConstants

This interface defines some global constants which are used by several classes of the package.

Field Summary
`static int` | `CI_MISS_IGNORE` MSD Mode : ignore QTL with missing standard deviation.
`static int` | `CI_MISS_IMPUTATION` MSD Mode : replace missing standard deviation by the mean of the observed ones.
`static int` | `CI_MODE_AVAILABLE` SD Mode : use the available information to compute the standard deviation.
`static int` | `CI_MODE_LOD` SD Mode : use only the confidence interval information if defined to compute the standard deviation.
`static int` | `CI_MODE_MAXIMAL` SD Mode : compute the standard deviation using both lod support and rsquare information (if available) and then choose the maximal standard-deviation.
`static int` | `CI_MODE_RSQUARE` SD Mode : use only the rsquare information if defined to compute the standard deviation.
`static int` | `MAPPING_FUNCTION_HALDANE` Integer code for haldane mapping function
`static int` | `MAPPING_FUNCTION_KOSAMBI` Integer code for kosambi mapping function
`static int` | `MAPPING_FUNCTION_UNKNOWN` Integer code for not defined mapping function
`static int` | `MAPPING_UNIT_CM` Integer code for centi morgan mapping unit
`static int` | `MAPPING_UNIT_M` Integer code for morgan mapping unit
`static int` | `MAPPING_UNIT_UNKNOWN` Integer code for unknown mapping unit
`static double` | `TINY_MAPPING_DISTANCE` The minimal distance in morgan
`static double` | `TINY_MAPPING_VARIANCE` the minimal variance in morgan
`static java.lang.String` | `VERSION` The version of the package.

Field Detail

### VERSION

    static final java.lang.String VERSION

  The version of the package.

  See Also:
    Constant Field Values

### MAPPING_FUNCTION_UNKNOWN

    static final int MAPPING_FUNCTION_UNKNOWN

  Integer code for not defined mapping function

  See Also:
    Constant Field Values

### MAPPING_FUNCTION_HALDANE

    static final int MAPPING_FUNCTION_HALDANE

  Integer code for haldane mapping function

  See Also:
    Constant Field Values

### MAPPING_FUNCTION_KOSAMBI

    static final int MAPPING_FUNCTION_KOSAMBI

  Integer code for kosambi mapping function

  See Also:
    Constant Field Values

### MAPPING_UNIT_UNKNOWN

    static final int MAPPING_UNIT_UNKNOWN

  Integer code for unknown mapping unit

  See Also:
    Constant Field Values

### MAPPING_UNIT_M

    static final int MAPPING_UNIT_M

  Integer code for morgan mapping unit

  See Also:
    Constant Field Values

### MAPPING_UNIT_CM

    static final int MAPPING_UNIT_CM

  Integer code for centi morgan mapping unit

  See Also:
    Constant Field Values

### TINY_MAPPING_DISTANCE

    static final double TINY_MAPPING_DISTANCE

  The minimal distance in morgan

  See Also:
    Constant Field Values

### TINY_MAPPING_VARIANCE

    static final double TINY_MAPPING_VARIANCE

  the minimal variance in morgan

  See Also:
    Constant Field Values

### CI_MODE_AVAILABLE

    static final int CI_MODE_AVAILABLE

  SD Mode : use the available information to compute the standard deviation.

  See Also:
    Constant Field Values

### CI_MODE_LOD

    static final int CI_MODE_LOD

  SD Mode : use only the confidence interval information if defined to compute the standard deviation.

  See Also:
    Constant Field Values

### CI_MODE_RSQUARE

    static final int CI_MODE_RSQUARE

  SD Mode : use only the rsquare information if defined to compute the standard deviation.

  See Also:
    Constant Field Values

### CI_MODE_MAXIMAL

    static final int CI_MODE_MAXIMAL

  SD Mode : compute the standard deviation using both lod support and rsquare information (if available) and then choose the maximal standard-deviation.

  See Also:
    Constant Field Values

### CI_MISS_IMPUTATION

    static final int CI_MISS_IMPUTATION

  MSD Mode : replace missing standard deviation by the mean of the observed ones.

  See Also:
    Constant Field Values

### CI_MISS_IGNORE

    static final int CI_MISS_IGNORE

  MSD Mode : ignore QTL with missing standard deviation.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD